package es.autentia.spring.persistence.dao;

import static org.hamcrest.Matchers.*;
import static org.junit.Assert.*;
import static org.mockito.Mockito.*;

import java.util.*;

import org.junit.*;

import es.autentia.spring.model.*;
import es.autentia.spring.persistence.*;
import es.autentia.spring.persistence.mapper.*;

public class TeamRepositoryImplTest {

    final TeamMapper teamMapper = mock(TeamMapper.class);

    final TeamRepository teamRepository = new TeamRepositoryImpl(teamMapper);

    final List<Team> teams = Arrays.asList(mock(Team.class));

    @Test
    public void shouldReturnAllTeams() throws Exception {

        when(teamMapper.getTeams()).thenReturn(teams);

        assertThat(teamRepository.getTeams(), is(teams));

    }
}
