package es.autentia.spring.persistence.dao;

import java.util.*;

import org.springframework.beans.factory.annotation.*;
import org.springframework.stereotype.*;

import es.autentia.spring.model.*;
import es.autentia.spring.persistence.*;
import es.autentia.spring.persistence.mapper.*;

@Repository
public class TeamRepositoryImpl implements TeamRepository {

    private final TeamMapper teamMapper;

    @Autowired
    public TeamRepositoryImpl(TeamMapper teamMapper) {
        this.teamMapper = teamMapper;
    }

    @Override
    public List<Team> getTeams() {
        return teamMapper.getTeams();
    }
}
