package es.autentia.spring.util;

import es.autentia.spring.model.*;

public class CountryDbContextHolder {

    private static final ThreadLocal<Country> contextHolder = new ThreadLocal<Country>();

    public static void setDbType(Country league) {
        contextHolder.set(league);
    }

    public static Country getDbType() {
        return contextHolder.get();
    }

    public static void clearDb() {
        contextHolder.remove();
    }
}
