package es.autentia.spring.service;

import static org.hamcrest.Matchers.*;
import static org.junit.Assert.*;
import static org.mockito.Mockito.*;

import java.util.*;

import org.junit.*;

import es.autentia.spring.model.*;
import es.autentia.spring.persistence.*;
import es.autentia.spring.service.impl.*;

public class TeamServiceTest {

    final TeamRepository teamRepository = mock(TeamRepository.class);

    final TeamService teamService = new TeamServiceImpl(teamRepository);

    final List<Team> teams = Arrays.asList(mock(Team.class));

    @Test
    public void shouldReturnAllTeams() throws Exception {

        when(teamRepository.getTeams()).thenReturn(teams);

        assertThat(teamService.getTeams(), is(teams));
    }

}
